org.richfaces.renderkit

## Class AutocompleteListLayoutStrategy

- java.lang.Object
- - org.richfaces.renderkit.AbstractAutocompleteLayoutStrategy
  - - org.richfaces.renderkit.AutocompleteListLayoutStrategy

- All Implemented Interfaces:
    AutocompleteEncodeStrategy

      public class AutocompleteListLayoutStrategy
      extends AbstractAutocompleteLayoutStrategy
      implements AutocompleteEncodeStrategy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutocompleteListLayoutStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeFakeItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItemBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItemEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItemsContainerBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItemsContainerEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractAutocompleteLayoutStrategy

      `getContainerElementId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.renderkit.AutocompleteEncodeStrategy

      `getContainerElementId`

- - ### Constructor Detail

    - #### AutocompleteListLayoutStrategy

          public AutocompleteListLayoutStrategy()

  - ### Method Detail

    - #### encodeFakeItem

          public void encodeFakeItem(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                              throws IOException

      Specified by:
        `encodeFakeItem` in interface `AutocompleteEncodeStrategy`
      Throws:
        `IOException`

    - #### encodeItemsContainerBegin

          public void encodeItemsContainerBegin(javax.faces.context.FacesContext facesContext,
                                       javax.faces.component.UIComponent component)
                                         throws IOException

      Specified by:
        `encodeItemsContainerBegin` in interface `AutocompleteEncodeStrategy`
      Throws:
        `IOException`

    - #### encodeItemsContainerEnd

          public void encodeItemsContainerEnd(javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent component)
                                       throws IOException

      Specified by:
        `encodeItemsContainerEnd` in interface `AutocompleteEncodeStrategy`
      Throws:
        `IOException`

    - #### encodeItemBegin

          public void encodeItemBegin(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent component)
                               throws IOException

      Specified by:
        `encodeItemBegin` in interface `AutocompleteEncodeStrategy`
      Throws:
        `IOException`

    - #### encodeItemEnd

          public void encodeItemEnd(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component)
                             throws IOException

      Specified by:
        `encodeItemEnd` in interface `AutocompleteEncodeStrategy`
      Throws:
        `IOException`

    - #### encodeItem

          public void encodeItem(javax.faces.context.FacesContext facesContext,
                        javax.faces.component.UIComponent component)
                          throws IOException

      Specified by:
        `encodeItem` in interface `AutocompleteEncodeStrategy`
      Throws:
        `IOException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.